﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Net.Http;
using PostitCommon;
using PostitCore;

namespace DeX_Demo_Jun21
{
    class GetMyData
    {
        public HttpClient pHttpClient = null;
        public CallInfo pCallInfo = null;

        public GetMyData(CallInfo callInfo, ref HttpClient httpclient)
        {
            pHttpClient = httpclient;
            pCallInfo = callInfo;
        }
        public void Run()
        {
            PostitCommon.Log.LogFile = @"c:\temp\logfile.txt";
            PostitCommon.CallInfo callInfo = new PostitCommon.CallInfo();
            Dictionary<string, XStudent> Students = new Dictionary<string, XStudent>();
            StudentLoad.Run(ref Students, pCallInfo);
            // Do the export
            string FileName = @"c:\temp\DeX2.csv";
            using (System.IO.StreamWriter sw = new System.IO.StreamWriter(FileName))
            {
                sw.WriteLine(XStudent.CSVHeader());
                foreach (XStudent x in Students.Values)
                {
                    sw.WriteLine(x.ToCSV());
                }
                sw.Flush();
                sw.Close();
            }
        }
    }
}
